Skip to main content
GET
Get a memory
GET /v1/memories/{memory_id} returns one memory owned by the account attached to your API key.

Endpoint

Authentication

Required. Send your API key with Authorization: Bearer.

Example

Response

Returns a single memory object. Media URL fields are temporary signed URLs and expire 1 hour after the response is created.

Not found

If the memory does not exist or does not belong to the API key owner, the API returns 404.

Errors

Authorizations

Authorization
string
header
required

Replay public API key.

Path Parameters

memory_id
string
required

The memory ID to fetch.

Example:

"mem_01JZ8W2X4M9QK7F3T6V1N0P8RA"

Response

A memory.

id
string
required

Unique memory ID.

Example:

"mem_01JZ8W2X4M9QK7F3T6V1N0P8RA"

name
string
required

User-visible memory name.

Example:

"Product planning walk"

started_at
string<date-time>
required

ISO timestamp for when the memory started.

Example:

"2026-06-01T16:02:11Z"

ended_at
string<date-time>
required

ISO timestamp for when the memory ended.

Example:

"2026-06-01T16:18:42Z"

is_processing
boolean
required

Whether Replay is still processing transcript and summary data.

Example:

false

user_id
string
required

ID of the Replay user that owns the memory.

Example:

"user_8ad5a3d1-7f24-4fc4-bf76-07fef4f8a92d"

duration_seconds
integer
required

Length of the memory in seconds.

Example:

991

audio_url
string<uri> | null
required

Temporary signed URL for the memory audio file. Expires 1 hour after the response is created. Returns null if the audio file is not available.

Example:

"https://gpngkwsgfwohtyenjaks.supabase.co/storage/v1/object/sign/memories/mem_01JZ8W2X4M9QK7F3T6V1N0P8RA/audio.m4a?token=eyJ..."

video_url
string<uri> | null
required

Temporary signed URL for the memory video file. Expires 1 hour after the response is created. Returns null if the video file is not available.

Example:

"https://gpngkwsgfwohtyenjaks.supabase.co/storage/v1/object/sign/memories/mem_01JZ8W2X4M9QK7F3T6V1N0P8RA/video.mp4?token=eyJ..."

preview_image_url
string<uri> | null
required

Temporary signed URL for the memory preview image. Expires 1 hour after the response is created. Returns null if the preview image is not available.

Example:

"https://gpngkwsgfwohtyenjaks.supabase.co/storage/v1/object/sign/memories/mem_01JZ8W2X4M9QK7F3T6V1N0P8RA/preview.jpg?token=eyJ..."

transcript
object | null
required

Segment transcript, available on memory detail after processing. List responses return null.

Example:
summary
object | null
required

Generated summary, available after processing.

Example: